LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
JavaVirtualMachine Service Referencepublished

Exports interfaces to handle a Java VM. More...

`import"JavaVirtualMachine.idl";`

Inheritance diagram for JavaVirtualMachine:

## Additional Inherited Members
Public Member Functions inherited from XJavaVM
any | getJavaVM ([in] sequence< byte > processID)
| returns the address of the Java Virtual Machine. More...
boolean | isVMStarted ()
| returns `TRUE` if the VM is started successfully, otherwise `FALSE`. More...
boolean | isVMEnabled ()
| Returns `TRUE` if the VM is enabled. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Exports interfaces to handle a Java VM.

Deprecated:
  A UNO service seems to be at the wrong abstraction level for this functionality. This should probably be replaced by an appropriate C/C++ API.

The documentation for this service was generated from the following file:

- com/sun/star/java/JavaVirtualMachine.idl